## asterisk-testsuite 0.0.0+svn.5781

=== Makefile ===
# makefile for POSIX library for Lua

# change these to reflect your Lua installation
PREFIX=		/usr/local
LUAVERSION=	5.1
LUAINC= 	$(PREFIX)/include
LUALIB= 	$(PREFIX)/lib/lua/$(LUAVERSION)
LUABIN= 	$(PREFIX)/bin

# other executables
TAR=		tar
LUA=		lua
INSTALL=	install

# no need to change anything below here
PACKAGE=	luaposix
LIBVERSION=	4
VERSION=	$(LUAVERSION).$(LIBVERSION)

SRCS=		lposix.c modemuncher.c test.lua tree.lua
EXTRADIST=	Makefile README ChangeLog
DISTFILES=	$(SRCS) $(EXTRADIST)
DISTDIR=	$(PACKAGE)-$(VERSION)
TARGZ=		$(PACKAGE)-$(VERSION).tar.gz

CPPFLAGS=	-fPIC $(INCS) $(WARN)
WARN=		-pedantic -Wall
INCS=		-I$(LUAINC)

MYNAME=		posix
MYLIB= 		$(MYNAME)

OBJS=		l$(MYLIB).o

T= 		$(MYLIB).so

OS=$(shell uname)
ifeq ($(OS),Darwin)
  LDFLAGS_SHARED=-bundle -undefined dynamic_lookup
  LIBS=
else
  LDFLAGS_SHARED=-shared
  LIBS=-lcrypt
endif

# targets
phony += all
all:	$T

phony += test
test:	all
	$(LUA) test.lua

$T:	$(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(LDFLAGS_SHARED) $(OBJS) $(LIBS)

$(OBJS): modemuncher.c

phony += tree
tree:	$T
	$(LUA) -l$(MYNAME) tree.lua .

phony += clean
clean:
	rm -f $(OBJS) $T core core.* a.out $(TARGZ)

phony += install
install: $T
	$(INSTALL) -D $T $(DESTDIR)/$(LUALIB)/$T
	
phony += show-funcs
show-funcs:
	@echo "$(MYNAME) library:"
	@fgrep '/**' l$(MYLIB).c | cut -f2 -d/ | tr -d '*' | sort

# distribution

phony += distdir
distdir: $(DISTFILES)
	if [ -d "$(DISTDIR)" ]; then	\
		rm -r "$(DISTDIR)";	\
	fi
	mkdir "$(DISTDIR)"
	cp -a $(DISTFILES) "$(DISTDIR)/"


phony += tar
tar:	distdir	
	$(TAR) zcf $(TARGZ) $(DISTDIR)
	rm -r $(DISTDIR)

phony += dist
dist:	tar

.PHONY: $(phony)
# eof

=== addons/Makefile ===
#
# Copyright (C) 2010, Digium, Inc.
# Paul Belanger <pabelanger@digium.com>
#
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2.
#

all:
	@if [ ! -d starpy ]; then \
		echo "starpy/ does not exist.  Run \`make update\` to checkout via git."; \
	else \
		echo "Run \`make install\`."; \
	fi

clean: _clean

_clean:

dist-clean: distclean

distclean: _clean
	rm -rf starpy/install.record

install:
	(cd starpy; python setup.py install --prefix=~/.local --record install.record)

uninstall:
	rm -rf $$(cat starpy/install.record)

update:
	@if [ -d starpy ]; then \
		cd starpy; \
		if [ `git config --get remote.origin.url` = git://github.com/asterisk-org/starpy.git ]; then \
			git remote set-url origin git://github.com/asterisk/starpy.git git://github.com/asterisk-org/starpy.git; \
		fi; \
		git pull; \
	else \
		git clone git://github.com/asterisk/starpy.git; \
	fi

=== asttest/Makefile ===
#
# Asterisk -- A telephony toolkit for Linux.
# 
# Makefile for asttest
#
# Copyright (C) 2005-2008, Digium, Inc.
#
# Matthew Nicholson <mnicholson@digium.com>
#
# This program is free software, distributed under the terms of
# the GNU General Public License
#

# even though we could use '-include makeopts' here, use a wildcard
# lookup anyway, so that make won't try to build makeopts if it doesn't
# exist (other rules will force it to be built if needed)
ifneq ($(wildcard makeopts),)
  include makeopts
endif

.PHONY: clean dist-clean distclean test check asterisk

INSTALL?=install
DESTDIR?=
PREFIX?=/usr/local
EXEC_PREFIX?=$(PREFIX)
BINDIR?=$(EXEC_PREFIX)/bin

ASTSRCDIR ?= ../
ASTDSTDIR ?= $(PWD)/asterisk


LUAFILESYSTEM=luafilesystem-1.4.2
LUASOCKET=luasocket-2.0.2
LUAPOSIX=luaposix-5.1.4

LUAFILESYSTEM_OBJS=lib/lua/$(LUAFILESYSTEM)/src/lfs.o 
LUASOCKET_OBJS=lib/lua/$(LUASOCKET)/src/luasocket.a
LUAPOSIX_OBJS=lib/lua/$(LUAPOSIX)/lposix.o

LUAFILESYSTEM_HEADER=lib/lua/$(LUAFILESYSTEM)/src/lfs.h
LUASOCKET_HEADER=lib/lua/$(LUASOCKET)/src/luasocket.h
LUAPOSIX_HEADER=lib/lua/$(LUAPOSIX)/lposix.h

LUAPOSIX_LIBS=-lcrypt

# Basic set of sources and flags/libraries/includes
OBJS:=asttest.o lib/lua.o lib/testsuite.o lib/testutils.o
CFLAGS:=-g -D_GNU_SOURCE -Wall `pkg-config --cflags lua5.1 2> /dev/null || pkg-config --cflags lua 2> /dev/null` -Iinclude
L_MODULES:=$(LUAFILESYSTEM_OBJS) $(LUASOCKET_OBJS) $(LUAPOSIX_OBJS) 
L_LIBS:=$(LUAPOSIX_LIBS)
L_OBJS:=lib/lua/testlib.o lib/lua/astlib.o lib/lua/proclib.o
T_LIBS:=`pkg-config --libs lua5.1 2> /dev/null || pkg-config --libs lua 2> /dev/null || echo -llua -lm -ldl`


all: asttest

#$(OBJS) $(C_OBJS): autoconfig.h menuselect.h
#
#makeopts autoconfig.h: autoconfig.h.in makeopts.in
#	@./configure $(CONFIGURE_SILENT) CC= LD= AR= CFLAGS=
#
#ifdef C_OBJS
#menuselect_curses.o: CFLAGS+=$(C_INCLUDE)
#cmenuselect: $(OBJS) $(C_OBJS)
#	$(CC) -o $@ $^ $(C_LIBS)
#else
#cmenuselect:
#endif
#
#ifdef G_OBJS
#menuselect_gtk.o: CFLAGS+=$(G_INCLUDE)
#gmenuselect: $(OBJS) $(G_OBJS)
#	$(CC) -o $@ $^ $(G_LIBS)
#else
#gmenuselect:
#endif
#
#ifdef N_OBJS
#menuselect_newt.o: CFLAGS+=$(N_INCLUDE)
#nmenuselect: $(OBJS) $(N_OBJS)
#	$(CC) -o $@ $^ $(N_LIBS)
#else
#nmenuselect:
#endif

lib/lua/%_lua.h : lib/lua/%.lua tools/mkstring
	luac -o $(basename $<).luac $<
	./tools/mkstring -n $(notdir $(basename $<))_lua -o $@ $(basename $<).luac 

lib/%.o: lib/%.c include/asttest/%.h

# this line does not seem to work
#lib/lua/%.o: lib/lua/%.c lib/lua/%_lua.h include/asttest/lua/%.h

asterisk:
	cd $(ASTSRCDIR) && ./configure --enable-dev-mode \
		--prefix=$(ASTDSTDIR)/usr \
		--sysconfdir=$(ASTDSTDIR)/etc \
		--localstatedir=$(ASTDSTDIR)/var
	$(MAKE) -C $(ASTSRCDIR) install
	$(MAKE) -C $(ASTSRCDIR) samples

lib/testsuite.o: lib/testsuite.c include/asttest/testsuite.h include/asttest/asttest.h
lib/testutils.o: lib/testutils.c include/asttest/testutils.h include/asttest/asttest.h include/asttest/testsuite.h include/asttest/lua.h

lib/lua.o: lib/lua.c $(L_MODULES) include/asttest/lua.h include/asttest/testsuite.h include/asttest/lua/*.h
	$(CC) $(CFLAGS) -c -o $@ \
	-DLUAFILESYSTEM_HEADER=\"../$(LUAFILESYSTEM_HEADER)\" \
	-DLUASOCKET_HEADER=\"../$(LUASOCKET_HEADER)\" \
	-DLUAPOSIX_HEADER=\"../$(LUAPOSIX_HEADER)\" \
       	$<

lib/lua/testlib.o: lib/lua/testlib.c lib/lua/testlib_lua.h include/asttest/lua/testlib.h
lib/lua/astlib.o: lib/lua/astlib.c lib/lua/astlib_lua.h include/asttest/lua/astlib.h
lib/lua/proclib.o: lib/lua/proclib.c lib/lua/proclib_lua.h include/asttest/lua/proclib.h

$(LUAFILESYSTEM_OBJS): lib/lua/$(LUAFILESYSTEM) lib/lua/lfs-patched.stamp
	$(MAKE) -C lib/lua/$(LUAFILESYSTEM)

lib/lua/lfs-patched.stamp lib/lua/$(LUAFILESYSTEM): lib/lua/$(LUAFILESYSTEM).tar.gz tools/lfs.diff
	rm -rf lib/lua/$(LUAFILESYSTEM)
	tar -C lib/lua -zxf lib/lua/$(LUAFILESYSTEM).tar.gz 
	patch -p1 -d lib/lua/$(LUAFILESYSTEM) < tools/lfs.diff
	touch lib/lua/lfs-patched.stamp

$(LUASOCKET_OBJS): lib/lua/$(LUASOCKET) lib/lua/luasocket-patched.stamp
	$(MAKE) -C lib/lua/$(LUASOCKET)

lib/lua/luasocket-patched.stamp lib/lua/$(LUASOCKET): lib/lua/$(LUASOCKET).tar.gz tools/luasocket.diff
	rm -rf lib/lua/$(LUASOCKET)
	tar -C lib/lua -zxf lib/lua/$(LUASOCKET).tar.gz 
	patch -p1 -d lib/lua/$(LUASOCKET) < tools/luasocket.diff
	touch lib/lua/luasocket-patched.stamp

$(LUAPOSIX_OBJS): lib/lua/$(LUAPOSIX) lib/lua/luaposix-patched.stamp
	$(MAKE) -C lib/lua/$(LUAPOSIX)

lib/lua/luaposix-patched.stamp lib/lua/$(LUAPOSIX): lib/lua/$(LUAPOSIX).tar.gz tools/luaposix.diff
	rm -rf lib/lua/$(LUAPOSIX)
	tar -C lib/lua -zxf lib/lua/$(LUAPOSIX).tar.gz 
	patch -p1 -d lib/lua/$(LUAPOSIX) < tools/luaposix.diff
	touch lib/lua/luaposix-patched.stamp

asttest: asttest.c $(OBJS) $(T_OBJS) $(L_OBJS) include/asttest/asttest.h
	$(CC) -o $@ $(OBJS) $(L_OBJS) $(T_LIBS) $(L_MODULES) $(L_LIBS)

tools/mkstring: tools/mkstring.c
	$(CC) -D_GNU_SOURCE -Wall -o $@ $^

install: asttest
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 asttest $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/asttest

check: test
tests: test
test: asttest
	LUA_PATH=$(PWD)/../lib/lua/?.lua\;\; \
	LUA_CPATH=$(PWD)/../lib/lua/\?.so\;\; \
	$(GDB) ./asttest self-tests

clean:
	rm -f asttest $(OBJS) $(M_OBJS) $(C_OBJS) $(G_OBJS) $(N_OBJS) $(L_OBJS)
	rm -f lib/lua/*_lua.h
	rm -f lib/lua/*.luac
	rm -f tools/mkstring
	-$(MAKE) -C lib/lua/$(LUAFILESYSTEM) clean
	-$(MAKE) -C lib/lua/$(LUASOCKET) clean
	-$(MAKE) -C lib/lua/$(LUAPOSIX) clean

dist-clean: distclean

distclean: clean
	rm -rf $(ASTDSTDIR)
	rm -f autoconfig.h config.status config.log makeopts
	rm -rf autom4te.cache
	rm -rf lib/lua/$(LUAFILESYSTEM)
	rm -rf lib/lua/$(LUASOCKET)
	rm -rf lib/lua/$(LUAPOSIX)
	rm -f lib/lua/lfs-patched.stamp
	rm -f lib/lua/luasocket-patched.stamp
	rm -f lib/lua/luaposix-patched.stamp

=== debian/changelog ===
asterisk-testsuite (0.0.0+svn.5781-2) unstable; urgency=medium

  * Fix an arch-only build (Closes: #764907 properly).

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 27 Oct 2014 07:45:18 +0200

asterisk-testsuite (0.0.0+svn.5781-1) unstable; urgency=medium

  * New upstream release.
  * asttest is now a dummy package (Closes: #764905, #764906, #764907).

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 27 Oct 2014 00:26:56 +0200

asterisk-testsuite (0.0.0+svn.5539-1) unstable; urgency=low

  * Initial release. (Closes: #759150)

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 02 Sep 2014 09:42:24 -0700

=== debian/control ===
Source: asterisk-testsuite
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 9~),
 liblua5.1-0-dev,
 lua5.1,
 pkg-config,
Standards-Version: 3.9.5
Homepage: https://wiki.asterisk.org/wiki/display/AST/Asterisk+Test+Suite+Documentation
Vcs-Git: git://anonscm.debian.org/pkg-voip/asterisk-testsuite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-voip/asterisk-testsuite.git

Package: asterisk-testsuite
Architecture: all
Depends: ${misc:Depends},
 asttest,
 python,
 python-yaml,
 sip-tester,
 python-starpy (>> 1.0.1),
Recommends: asterisk-dev, asterisk
Description: test suite for the Asterisk PBX
 The test suite for the Asterisk PBX software package. Developed as
 a separate package by its developers.
 .
 The package should normally be used for testing the system copy of
 Asterisk, but may be installed to test a locally-installed version.

Package: asttest
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: asterisk
Description: test runner for the Asterisk test suite - dummy package
 The test suite for the Asterisk PBX software package. Developed as
 a separate package by its developers.
 .
 This package includes asttest: a binary needed for running tests.
 .
 Only used for very few LUA tests and disabled for now.

=== debian/rules ===
#!/usr/bin/make -f

# for asttest:
export PREFIX=/usr

PACKAGE=asterisk-testsuite
DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
SVNREV:=$(shell echo $(UPVERSION) | sed -e s/.*+svn\.//)

VER = 0.0.0
SVN = http://svn.digium.com/svn/testsuite/asterisk/trunk
VER_FULL = $(PACKAGE)-$(VER)+svn.$(SVNREV)

%:
	dh $@

target=$(CURDIR)/debian/asterisk-testsuite/usr/share/asterisk-testsuite
override_dh_install-indep:
	dh_install
	find $(target)/tests -name \*.py -executable | \
		while read file; do \
			if head -q -n1 $$file | egrep -q "^('''|\"\"\")"; then \
				chmod a-x $$file; \
			fi; \
		done
	find $(target)/tests/channels/SIP/rfc2833_dtmf_detect \
		-name \*.xml -exec chmod a-x \{\} \;

get-orig-source:
	@@dh_testdir
	@@echo Creating tarball from $(SVN) revision $(SVNREV) ...
	@@svn export -q -r$(SVNREV) $(SVN) $(VER_FULL)
	@@tar czf ../$(PACKAGE)_$(VER)~svn$(SVNREV).orig.tar.gz $(VER_FULL)
	@@rm -Rf $(VER_FULL)
